#
# spec file for package tardy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tardy
Version:        1.28
Release:        2.12
Summary:        Tar Archive Post-Processor
License:        GPL-3.0 and LGPL-3.0
Group:          Productivity/Archiving/Backup
Url:            http://tardy.sourceforge.net/
Source0:        http://sourceforge.net/projects/tardy/files/%{version}/%{name}-%{version}.D001.tar.gz
BuildRequires:  bison
BuildRequires:  boost-devel
BuildRequires:  cpio
BuildRequires:  gcc-c++
BuildRequires:  groff-full
BuildRequires:  libbz2-devel
BuildRequires:  libexplain-devel
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The tardy program is a tar(1) post-processor. It may be used to manipulate the
file headers in tar(5) archive files in various ways.

%prep
%setup -q

%build
%configure
# parallel builds fail
make --jobs 1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc LICENSE AUTHORS README
%{_bindir}/tardy
%{_datadir}/doc/%{name}
%{_mandir}/man1/tardy.1%{ext_man}
%{_mandir}/man1/tardy_license.1%{ext_man}

%changelog
* Tue Apr 14 2015 mpluskal@suse.com
- Update license information
* Mon Apr 13 2015 mpluskal@suse.com
- Update to 1.28
  * jari   <jari.aalto@cante.net>  discovered  a  false  negative
    from test/00/t0075a.sh, causd by a difference in time zones.
  * jari <jari.aalto@cante.net> discovered that three files were
    mysteri-ously absent from the tarball causing FTBFS.
  * jari  <jari.aalto@cante.net>  discovered  a  problem in the
    download pages, causing the debian-less orig.tar.gz to be
    improperly linked.
- Cleanup spec file with spec-cleaner
- Use url for source
* Sat May 22 2010 pascal.bleser@opensuse.org
- initial package (1.20)
